% This function takes any two 1D distributions with means M1 and M2 and
% variances S1 and S2 and returns 1D KL divegrence between them after
% computing the variance of each mean and adding it to the variance.
% N1 and N2 are the sample sizes of the two distributions 

function J = computeIdiv_1d(S1,S2,M1,M2,N1,N2)
% computing variance of mean and adding it to variance 
S1= S1+(S1/N1);
S2 = S2+(S2/N2);
%calculate the KL divergence
J = 0.5*((S1-S2)*((1/S2)-(1/S1)) + ...
                          ((1/S1) + (1/S2))*(M1-M2)^2);
