% This function takes any two 1D distributions with means M1 and M2 and
% variances S1 and S2 and returns 1D Kl divegrence between them after
% computing the variance of each mean and adding it to the variance.
% N1 and N2 are the sample sizes of the two distributions 
function J = computeIdiv_2d(S1,S2,M1,M2,N1,N2)
% computing variance of mean and adding it to variance 
S1(1,1)= S1(1,1)+(S1(1,1)/N1);
S1(2,2)= S1(2,2)+(S1(2,2)/N1);

S2(1,1)= S2(1,1)+(S2(1,1)/N2);
S2(2,2)= S2(2,2)+(S2(2,2)/N2);

%calculate the KL divergence
J = 0.5*trace((S1-S2)*(inv(S2)-inv(S1)) + (inv(S1) + inv(S2))*(M1-M2)*(M1-M2)');
